package jwsunleashed.trading.ejb;

import java.rmi.*;
import javax.ejb.*;
import java.util.Date;

public interface PutOrder extends EJBObject
{
    public int getSellerID() throws RemoteException;
    public void setSellerID(int aSellerID) throws RemoteException;

    public String getStock() throws RemoteException;
    public void setStock(String aStock) throws RemoteException;

    public int getShares() throws RemoteException;
    public void setShares(int numShares) throws RemoteException;

    public int getPrice() throws RemoteException;
    public void setPrice(int thePrice) throws RemoteException;

    public Date getPutTime() throws RemoteException;
    public void setPutTime(Date aPutTime) throws RemoteException;
}
